; ******************* EU-Code  Anfang *****************************

; code_eu000
; Code 100
; Philips

; Carrier Freq    = 35.804 KHz
.dw  XTAL / 35804 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    265,        89
.dw     44,        89
.dw     44,        44
.dw     44,        44
.dw    134,       131
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     89,        44
.dw     44,        89
.dw     44,        44
.dw     44,      8301
.dw    265,        89
.dw     44,        89
.dw     44,        44
.dw     44,        44
.dw    134,       131
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     89,        44
.dw     44,        89
.dw     44,        44
.dw     44,         0

; code_eu000
; Code 101
; Grundig, Toshiba

; Carrier Freq    = 29.510 KHz
.dw  XTAL / 29510 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     54,       270
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,      2107
.dw     54,       268
.dw     54,       109
.dw    105,       109
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,     11969
.dw     54,       268
.dw     54,       109
.dw    105,       109
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,        53
.dw     54,         0

; code_eu001
; Code 102
; Brandt, Ferguson, Thomson

; Carrier Freq    = 33.579 KHz
.dw  XTAL / 33579 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     44,       203
.dw     47,       201
.dw     47,       454
.dw     45,       454
.dw     47,       200
.dw     47,       203
.dw     44,       203
.dw     47,       451
.dw     47,       452
.dw     46,       454
.dw     44,       203
.dw     47,       452
.dw     47,      3479
.dw     44,       203
.dw     47,       201
.dw     47,       454
.dw     45,       454
.dw     47,       200
.dw     47,       203
.dw     44,       203
.dw     47,       452
.dw     47,       452
.dw     47,       454
.dw     44,       203
.dw     47,       452
.dw     47,         0

; code_eu002
; Code 103
; Sony, Philips

; Carrier Freq    = 38.654 KHz
.dw  XTAL / 38654 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    238,        57
.dw    118,        59
.dw     59,        57
.dw    118,        59
.dw     59,        58
.dw    118,        59
.dw     59,        59
.dw     57,        59
.dw    119,        59
.dw     59,        57
.dw     59,        59
.dw     59,        58
.dw     58,      2681
.dw    238,        57
.dw    118,        59
.dw     59,        58
.dw    118,        59
.dw     59,        59
.dw    116,        59
.dw     59,        59
.dw     59,        57
.dw    118,        59
.dw     59,        57
.dw     59,        59
.dw     59,        59
.dw     57,         0

; code_eu003
; Code 104
; Panasonic

; Carrier Freq    = 36.090 KHz
.dw  XTAL / 36090 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    358,       179
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,        44
.dw     47,       133
.dw     47,      7660
.dw    358,       180
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,        44
.dw     47,        44
.dw     47,       133
.dw     47,        44
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,       133
.dw     47,        44
.dw     47,       133
.dw     47,         0

; code_eu004
; Code 105
; Sharp

; Carrier Freq    = 38.885 KHz
.dw  XTAL / 38885 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     25,       187
.dw     27,        77
.dw     26,        78
.dw     25,        80
.dw     26,        77
.dw     25,        78
.dw     24,       189
.dw     25,       189
.dw     25,        78
.dw     25,       189
.dw     25,        78
.dw     25,        80
.dw     26,        77
.dw     25,       189
.dw     25,        77
.dw     25,      4786
.dw     26,       189
.dw     25,        77
.dw     26,        78
.dw     25,        80
.dw     25,        78
.dw     25,       189
.dw     26,        78
.dw     25,        80
.dw     26,       187
.dw     25,        80
.dw     25,       187
.dw     25,       189
.dw     25,       189
.dw     26,        78
.dw     25,       189
.dw     26,      4187
.dw     25,       187
.dw     27,        77
.dw     26,        78
.dw     25,        80
.dw     25,        77
.dw     26,        78
.dw     24,       189
.dw     25,       189
.dw     26,        78
.dw     25,       189
.dw     25,        78
.dw     25,        80
.dw     26,        77
.dw     25,       189
.dw     25,        78
.dw     25,      4786
.dw     25,       189
.dw     25,        77
.dw     26,        78
.dw     25,        80
.dw     25,        78
.dw     25,       189
.dw     26,        78
.dw     25,        80
.dw     26,       187
.dw     25,        80
.dw     25,       187
.dw     25,       189
.dw     25,       189
.dw     26,        78
.dw     25,       189
.dw     26,         0

; code_eu006
; Code 106
; Samsung

; Carrier Freq    = 38.000 KHz
.dw  XTAL / 38000 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    454,       466
.dw     53,       170
.dw     53,       171
.dw     51,       171
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     52,        62
.dw     53,        62
.dw     53,       170
.dw     53,       170
.dw     53,       171
.dw     52,        63
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,       170
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        63
.dw     52,        63
.dw     53,       170
.dw     53,        62
.dw     53,       170
.dw     53,       170
.dw     53,       170
.dw     53,       170
.dw     53,       170
.dw     53,       170
.dw     53,      4460
.dw    455,       466
.dw     53,       170
.dw     53,       170
.dw     53,       170
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     52,        62
.dw     53,       170
.dw     53,       170
.dw     53,       170
.dw     53,        62
.dw     52,        63
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     52,       170
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     53,        62
.dw     52,       171
.dw     53,        62
.dw     53,       171
.dw     52,       170
.dw     53,       170
.dw     53,       170
.dw     53,       171
.dw     51,       171
.dw     53,         0

; code_eu008
; Code 107
; JVC

; Carrier Freq    = 38.681 KHz
.dw  XTAL / 38681 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    837,       420
.dw     51,       155
.dw     51,       156
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,       155
.dw     51,       155
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,      2299
.dw     51,       156
.dw     54,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       155
.dw     51,       156
.dw     53,       155
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,        49
.dw     54,        49
.dw     54,      2297
.dw     54,       155
.dw     51,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       156
.dw     54,       155
.dw     51,       155
.dw     51,        51
.dw     51,       156
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,         0

; code_eu009
; Code 108
; Hitachi

; Carrier Freq    = 38.611 KHz
.dw  XTAL / 38611 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,        54
.dw     57,       168
.dw     54,        57
.dw     54,       168
.dw     56,        55
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        57
.dw     54,       168
.dw     57,        54
.dw     56,       168
.dw     54,       168
.dw     56,       168
.dw     54,       169
.dw     56,        55
.dw     56,       168
.dw     54,        57
.dw     57,        54
.dw     57,        54
.dw     57,        54
.dw     56,        54
.dw     56,        55
.dw     56,       168
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu005
; Code 109
; A.R.Systems, Aiko, Aim, Akai, Akiba, Akura, Alba, Allstar, Amstrad, Anitech, Ansonic, Aristona, Asberg, Atlantic, Audiosonic,
; Basic Line, Baur, Beko, Beon, Bestar, Blue Sky, BPL, Brinkmann, Brionvega, Bush, Carena, Cascade, Cathay, Centurion,
; Clatronic, Condor, Crown, Daewoo, Dansai, Dawa, Decca, Desmet, Diamant, Dixi, Dual, Dynatron, Elbe, Elin, Elite, Emerson,
; Erres, Euromann, Europhon, Exquisit, Fidelity, Finlux, Firstline, Flint, Fraba, Galaxi, Galaxis, GEC, Genexxa, Goldline,
; GoldStar, Goodmans, Granada, Grundig, Hanseatic, Hantarex, Hantor, Harwood, HCM, HiLine, Hinari, Hitachi, Hornyphone, Hypson,
; Iberia, ICE, Imperial, Indiana, Inno Hit, Interfunk, Intervision, Irradio, Isukai, ITS, ITV, Kaisui, Karcher, Kendo, Kneissel,
; Kolster, Korpel, Kosmos, Leyco, LG, Liesenkotter, Lifetec, Loewe, Luma, Lumatron, M Elecectronic, Manesth, Marantz, Mark,
; Matsui, Mediator, Medion, Mercury, Minoka, Mitsubishi, Multitech, Neckermann, NEI, Neufunk, New Tech, Nikkai, Novatronic,
; Okano, Opera, Orbit, Orion, Orline, Orsowe, Osaki, Otto Versand, Palladium, Panama, Panasonic, Panavision, Perdio, Perfekt,
; Philco, Philips, Phoenix, Phonola, Pioneer, Plantron, Profi-Tronic, Proline, Prosonic, Provision, Pye, Quelle, Radialva,
; Raiola, Radiomarelli, RadioShack, Radiotone, Recor, Redstar, Reflex, Revox, R-Line, Samsung, Sansui, SBR, Schneider, SEG, SEI,
; Siarem, Sierra, Sinudyne, Sonoko, Sontec, Soundwave, Standard, Star Lite, Strato, Sunstar, Sunwood, SuperTech, Tatung, Teac,
; Teleccor, Telefunken, Telegazi, Telemeister, Telesonic, Telestar, Teletech, Tensai, Thomson, Thorn, Tokai, Trans Continens,
; Triumph, Uher, Ultravox, Unic Line, Universum, Univox, Vestel, Vexa, VideoSystemVision, Vortec, Voxson, Waltham, Watson, Wega,
; Weltclick, White Westinghouse, Xrypton, Yamishi, Yokan, Yoko

; Carrier Freq    = 35.807 KHz
.dw  XTAL / 35807 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     89,        89
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,       178
.dw     89,        89
.dw    178,        89
.dw     89,      8952
.dw     89,        89
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,       178
.dw     89,        89
.dw    178,        89
.dw     89,         0

; code_eu010
; Code 110
; Toshiba

; Carrier Freq    = 38.609 KHz
.dw  XTAL / 38609 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,        54
.dw     57,        54
.dw     57,        54
.dw     56,       168
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     57,       168
.dw     54,       168
.dw     57,        54
.dw     57,       168
.dw     54,        57
.dw     54,       169
.dw     56,        55
.dw     56,        55
.dw     56,       168
.dw     57,        54
.dw     57,        54
.dw     56,        54
.dw     56,       168
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu019
; Code 111
; Goodmans

; Carrier Freq    = 37.470 KHz
.dw  XTAL / 37470 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    924,       462
.dw     56,       174
.dw     56,        56
.dw     56,        56
.dw     56,        56
.dw     56,       174
.dw     56,       174
.dw     56,        56
.dw     56,        56
.dw     56,       174
.dw     56,        56
.dw     56,        56
.dw     56,       174
.dw     56,        56
.dw     56,        56
.dw     56,       174
.dw     56,        56
.dw     56,       174
.dw     56,       174
.dw     56,        56
.dw     56,        56
.dw     56,        56
.dw     56,       174
.dw     56,       174
.dw     56,        56
.dw     56,        56
.dw     56,        56
.dw     56,       174
.dw     56,       174
.dw     56,       174
.dw     56,        56
.dw     56,        56
.dw     56,       174
.dw     56,      4055
.dw    926,       230
.dw     56,      9857
.dw    926,       230
.dw     56,         0

; code_eu019
; Code 112
; Aiwa

; Carrier Freq    = 38.721 KHz
.dw  XTAL / 38721 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    894,       446
.dw     54,       169
.dw     56,       168
.dw     54,        57
.dw     54,       169
.dw     53,       171
.dw     54,       168
.dw     54,       169
.dw     55,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     53,        58
.dw     56,        57
.dw     54,        57
.dw     54,       168
.dw     54,        57
.dw     53,        58
.dw     56,        57
.dw     54,        57
.dw     54,       168
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     53,       171
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     53,        58
.dw     55,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     53,       171
.dw     54,       168
.dw     54,       169
.dw     56,       168
.dw     54,       168
.dw     54,       171
.dw     54,       168
.dw     54,       169
.dw     53,      2295
.dw    894,       447
.dw     55,       168
.dw     54,       169
.dw     53,        58
.dw     56,       168
.dw     54,       168
.dw     54,       171
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     53,        58
.dw     56,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       171
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       171
.dw     54,       168
.dw     54,       169
.dw     53,       171
.dw     54,       168
.dw     54,       169
.dw     55,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     53,        58
.dw     56,        57
.dw     54,        57
.dw     54,       168
.dw     54,       169
.dw     55,       168
.dw     54,       169
.dw     53,       171
.dw     54,       168
.dw     54,       169
.dw     56,       168
.dw     54,         0

; code_eu011
; Code 113
; Daewoo

; Carrier Freq    = 38.714 KHz
.dw  XTAL / 38714 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    798,       396
.dw     49,        51
.dw     49,        49
.dw     48,       158
.dw     49,        51
.dw     49,       158
.dw     49,        49
.dw     49,        51
.dw     49,        49
.dw     48,       399
.dw     49,       156
.dw     50,        49
.dw     49,       158
.dw     49,        50
.dw     50,       156
.dw     48,        52
.dw     49,        50
.dw     50,        49
.dw     49,      2328
.dw    798,       397
.dw     48,        51
.dw     49,        50
.dw     48,       158
.dw     48,        51
.dw     49,       158
.dw     49,        49
.dw     48,        51
.dw     49,        50
.dw     48,       399
.dw     49,       158
.dw     49,        49
.dw     48,       158
.dw     49,        51
.dw     49,       158
.dw     49,        49
.dw     49,        51
.dw     49,        49
.dw     48,         0

; code_eu012
; Code 114
; Pioneer

; Carrier Freq    = 38.657 KHz
.dw  XTAL / 38657 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    850,       422
.dw     54,        51
.dw     54,       153
.dw     53,        54
.dw     51,       155
.dw     54,        52
.dw     54,       155
.dw     51,        54
.dw     51,       155
.dw     54,       153
.dw     53,        54
.dw     51,       155
.dw     54,        52
.dw     54,       155
.dw     51,        54
.dw     51,       155
.dw     54,        52
.dw     54,        52
.dw     53,        54
.dw     51,       155
.dw     54,       153
.dw     54,       155
.dw     51,        54
.dw     54,        51
.dw     54,        51
.dw     54,       155
.dw     51,       155
.dw     54,        51
.dw     54,        52
.dw     54,        52
.dw     53,       155
.dw     54,       153
.dw     54,       155
.dw     51,      2535
.dw    850,       422
.dw     54,        52
.dw     53,       155
.dw     51,        54
.dw     54,       153
.dw     54,        52
.dw     53,       155
.dw     54,        51
.dw     54,       153
.dw     53,       155
.dw     51,        54
.dw     54,       153
.dw     54,        52
.dw     53,       155
.dw     54,        51
.dw     54,       153
.dw     53,        52
.dw     53,        54
.dw     51,        54
.dw     54,       153
.dw     54,       155
.dw     51,       155
.dw     54,        51
.dw     54,        52
.dw     54,        52
.dw     53,       155
.dw     54,       153
.dw     54,        52
.dw     53,        52
.dw     53,        54
.dw     51,       155
.dw     54,       153
.dw     53,       155
.dw     54,      2533
.dw    852,       420
.dw     53,        54
.dw     51,       155
.dw     54,        51
.dw     54,       153
.dw     53,        54
.dw     51,       155
.dw     54,        52
.dw     54,       155
.dw     51,       155
.dw     54,        51
.dw     54,       153
.dw     53,        54
.dw     51,       155
.dw     54,        52
.dw     54,       155
.dw     51,        54
.dw     51,        54
.dw     54,        51
.dw     54,       153
.dw     53,       155
.dw     54,       153
.dw     54,        52
.dw     53,        52
.dw     53,        54
.dw     51,       155
.dw     54,       153
.dw     53,        54
.dw     51,        54
.dw     51,        54
.dw     54,       153
.dw     54,       155
.dw     51,       155
.dw     54,         0

; code_eu020
; Code 115
; Mitsubishi

; Carrier Freq    = 33.613 KHz
.dw  XTAL / 33613 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     29,       209
.dw     32,       209
.dw     30,       212
.dw     30,        89
.dw     29,        89
.dw     30,        89
.dw     29,       210
.dw     32,        87
.dw     32,        87
.dw     32,       209
.dw     29,        89
.dw     29,        89
.dw     29,        89
.dw     30,        89
.dw     29,        89
.dw     29,        89
.dw     30,      2761
.dw     32,       209
.dw     29,       212
.dw     30,       210
.dw     32,        87
.dw     32,        87
.dw     32,        87
.dw     32,       209
.dw     29,        89
.dw     29,        89
.dw     29,       212
.dw     29,        89
.dw     30,        89
.dw     29,        89
.dw     29,        89
.dw     29,        89
.dw     30,        89
.dw     29,         0

; code_eu014
; Code 116
; Sanyo

; Carrier Freq    = 38.602 KHz
.dw  XTAL / 38602 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        55
.dw     56,        57
.dw     54,        57
.dw     54,       168
.dw     56,       168
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     56,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu015
; Code 117
; Acura, Alba, Amstrad, Anitech, Basic Line, Bush, Cascade, Cimline, Contec, Crown, Daewoo, Daytron, Dixi, Elta, Firstline,
; Geloso, HCM, Hinari, Kaisui, Koyoda, M Electronic, Matsui, Memorex, Multitech, Pausa, Profex, Protech, Roadstar, Saisho,
; Samsung, Sonoko, Standard, Teletech

; Carrier Freq    = 38.627 KHz
.dw  XTAL / 38627 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    842,       415
.dw     54,        49
.dw     54,       153
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,       414
.dw     52,        51
.dw     51,       155
.dw     54,       153
.dw     53,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,      2434
.dw    842,       415
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       414
.dw     51,        51
.dw     51,       155
.dw     54,       155
.dw     51,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,         0

; code_eu016
; Code 118
; Erres, Mediator, Philips, Phonola, Pye, Radiola, SBR

; Carrier Freq    = 35.859 KHz
.dw  XTAL / 35859 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     50,       298
.dw     50,       996
.dw     50,       298
.dw     50,       996
.dw     50,       298
.dw     50,       996
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       647
.dw     50,      2990
.dw     50,       298
.dw     50,       996
.dw     50,       298
.dw     50,       996
.dw     50,       298
.dw     50,       996
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       298
.dw     50,       647
.dw     50,         0

; code_eu095
; Code 119
; Emerson, Finlux, Funai, Goodmans, Hinari, ITT, Magnavox, Memorex, Nexco, Philco, Shorai, Silver

; Carrier Freq    = 38.675 KHz
.dw  XTAL / 38675 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    881,       451
.dw     57,       166
.dw     54,       166
.dw     56,        54
.dw     54,        57
.dw     54,        55
.dw     56,        54
.dw     57,        54
.dw     54,       166
.dw     56,        54
.dw     57,       166
.dw     54,        55
.dw     56,       166
.dw     54,       168
.dw     54,       166
.dw     56,       166
.dw     54,        55
.dw     56,        54
.dw     56,        54
.dw     54,        57
.dw     54,       166
.dw     56,        54
.dw     54,        57
.dw     54,        54
.dw     56,        54
.dw     54,       168
.dw     54,       166
.dw     56,       166
.dw     54,        55
.dw     56,       166
.dw     57,       166
.dw     54,       166
.dw     56,       166
.dw     54,      3920
.dw    881,       222
.dw     54,      9523
.dw    881,       222
.dw     57,         0

; code_eu046
; Code 120
; Hitachi

; Carrier Freq    = 38.615 KHz
.dw  XTAL / 38615 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,       169
.dw     56,       168
.dw     54,        57
.dw     54,        57
.dw     57,       168
.dw     54,        57
.dw     54,       168
.dw     56,        54
.dw     56,        55
.dw     56,        55
.dw     56,       168
.dw     54,       169
.dw     56,        57
.dw     54,       168
.dw     57,        54
.dw     56,       168
.dw     54,       168
.dw     56,       168
.dw     54,       169
.dw     56,        55
.dw     56,       168
.dw     54,        57
.dw     57,        54
.dw     57,        54
.dw     57,        54
.dw     56,        54
.dw     56,        55
.dw     56,       168
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu046
; Code 121
; NEC

; Carrier Freq    = 37.470 KHz
.dw  XTAL / 37470 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    918,       460
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,       178
.dw     56,       178
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,       178
.dw     56,       178
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,        60
.dw     56,       178
.dw     56,       178
.dw     56,       178
.dw     56,       178
.dw     56,       178
.dw     56,       178
.dw     56,       178
.dw     56,       178
.dw     56,        60
.dw     56,        60
.dw     56,      4582
.dw    921,       229
.dw     56,      9707
.dw    921,       229
.dw     55,         0

; code_eu064
; Code 122
; Granada, Sanyo

; Carrier Freq    = 38.598 KHz
.dw  XTAL / 38598 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        55
.dw     56,        57
.dw     54,        57
.dw     54,       168
.dw     56,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu026
; Code 123
; ASA, Carrefour, Dumont, Emerson, Finlux, Grundig, Minerva, Nobliko, Quelle, Rank, RBM, Toshiba, Universum

; Carrier Freq    = 31.366 KHz
.dw  XTAL / 31366 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       248
.dw     51,        98
.dw    102,        48
.dw     53,        48
.dw     51,        51
.dw     51,        47
.dw     51,      2371
.dw     51,       248
.dw     51,        99
.dw    102,        98
.dw     51,        51
.dw     51,        47
.dw     51,        51
.dw     51,     11976
.dw     51,       249
.dw     51,        98
.dw    102,        98
.dw     51,        51
.dw     51,        47
.dw     51,        51
.dw     51,         0

; code_eu034
; Code 124
; Samsung

; Carrier Freq    = 38.615 KHz
.dw  XTAL / 38615 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,       169
.dw     56,        55
.dw     56,       168
.dw     57,        54
.dw     57,       168
.dw     54,        57
.dw     54,       168
.dw     56,       168
.dw     54,        57
.dw     54,       169
.dw     56,        55
.dw     56,       168
.dw     57,        54
.dw     57,       168
.dw     54,        57
.dw     54,       168
.dw     56,        55
.dw     56,       168
.dw     54,        57
.dw     54,        57
.dw     57,        54
.dw     57,       168
.dw     54,       168
.dw     57,        54
.dw     56,       168
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        57
.dw     54,        57
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu065
; Code 125
; ASA, Dumont, Elin, Finlux, Fisher, Kapsch, Lenco, M Electronic, Murphy, Quelle, Sanyo, Tensai, Thorn, Universum

; Carrier Freq    = 30.480 KHz
.dw  XTAL / 30480 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,        55
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,        53
.dw     51,        56
.dw     49,      2050
.dw     49,       264
.dw     51,       108
.dw     52,        53
.dw    104,        52
.dw     52,       108
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,     12084
.dw     51,       263
.dw     52,       108
.dw     52,        52
.dw    102,        56
.dw     49,       109
.dw     51,        56
.dw     49,        55
.dw     49,        55
.dw     52,        52
.dw     52,         0

; code_eu047
; Code 126
; ASA, Elin, Finlux, Hitachi, M Electrtonic, Novatronic, Quelle, Tensai, Universum

; Carrier Freq    = 34.661 KHz
.dw  XTAL / 34661 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     52,       248
.dw     52,        95
.dw    104,        46
.dw     51,        49
.dw     52,        46
.dw     51,        49
.dw     52,        46
.dw     52,        49
.dw     52,        46
.dw     52,        49
.dw     52,        46
.dw     52,        49
.dw     52,        46
.dw     52,        49
.dw     49,        49
.dw     52,      1440
.dw     52,       248
.dw     52,        96
.dw     51,        49
.dw    101,        49
.dw     52,        96
.dw     51,        49
.dw     52,        46
.dw     51,        49
.dw    101,        98
.dw     52,        46
.dw     51,        49
.dw     52,        46
.dw     51,        49
.dw     52,        46
.dw     52,     10984
.dw     51,       251
.dw     49,        98
.dw     52,        47
.dw    103,        49
.dw     49,        98
.dw     52,        46
.dw     51,        49
.dw     52,        46
.dw    103,        95
.dw     51,        49
.dw     52,        46
.dw     51,        49
.dw     52,        46
.dw     51,        49
.dw     52,         0

; code_eu047
; Code 127
; LG

; Carrier Freq    = 34.661 KHz
.dw  XTAL / 34661 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    924,       464
.dw     58,        57
.dw     58,        57
.dw     58,       173
.dw     58,        57
.dw     58,        57
.dw     58,        57
.dw     58,        57
.dw     58,        57
.dw     58,       173
.dw     58,       173
.dw     58,        57
.dw     58,       173
.dw     58,       173
.dw     58,       173
.dw     58,       173
.dw     58,       173
.dw     58,        57
.dw     58,        57
.dw     58,        57
.dw     58,       173
.dw     58,        57
.dw     58,        57
.dw     58,        57
.dw     58,        57
.dw     58,       173
.dw     58,       173
.dw     58,       173
.dw     58,        57
.dw     58,       173
.dw     58,       173
.dw     58,       173
.dw     58,       173
.dw     58,      4054
.dw    926,       230
.dw     58,      9881
.dw    926,       230
.dw     58,         0

; code_eu045
; Code 128
; JVC

; Carrier Freq    = 38.654 KHz
.dw  XTAL / 38654 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    837,       420
.dw     51,       160
.dw     51,       160
.dw     51,       159
.dw     53,       159
.dw     53,       158
.dw     53,        51
.dw     54,        51
.dw     54,        51
.dw     51,       160
.dw     51,       159
.dw     53,       158
.dw     53,        52
.dw     54,       158
.dw     54,        51
.dw     54,       158
.dw     54,       158
.dw     51,      1693
.dw     54,       158
.dw     51,       160
.dw     51,       160
.dw     51,       159
.dw     53,       158
.dw     53,        52
.dw     54,        51
.dw     54,        51
.dw     51,       160
.dw     51,       160
.dw     51,       159
.dw     53,        52
.dw     54,       158
.dw     54,        51
.dw     54,       158
.dw     54,       158
.dw     54,      1690
.dw     54,       158
.dw     54,       158
.dw     51,       160
.dw     51,       160
.dw     51,       159
.dw     53,        52
.dw     54,        51
.dw     54,        51
.dw     54,       158
.dw     51,       160
.dw     51,       160
.dw     51,        52
.dw     54,       158
.dw     54,        51
.dw     54,       158
.dw     54,       158
.dw     54,         0

; code_eu018
; Code 129
; Thomson

; Carrier Freq    = 34.844 KHz
.dw  XTAL / 34844 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     46,       203
.dw     45,       205
.dw     46,       454
.dw     45,       457
.dw     46,       203
.dw     45,       205
.dw     46,       203
.dw     45,       457
.dw     46,       454
.dw     45,       457
.dw     46,       203
.dw     45,       203
.dw     46,      3464
.dw     46,       203
.dw     45,       205
.dw     46,       455
.dw     45,       457
.dw     46,       203
.dw     45,       205
.dw     46,       203
.dw     44,       457
.dw     46,       455
.dw     45,       457
.dw     46,       203
.dw     45,       203
.dw     46,         0

; code_eu066
; Code 130
; Osume, Sanyo, Siemens

; Carrier Freq    = 38.673 KHz
.dw  XTAL / 38673 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     49,       148
.dw     51,       344
.dw     51,       344
.dw     49,       345
.dw     51,       147
.dw     49,       148
.dw     51,      2927
.dw     51,       147
.dw     49,       347
.dw     49,       344
.dw     51,       344
.dw     49,       148
.dw     51,       147
.dw     51,         0

; code_eu074
; Code 131
; NEC

; Carrier Freq    = 38.606 KHz
.dw  XTAL / 38606 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,        54
.dw     56,        54
.dw     56,        54
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,        57
.dw     57,        54
.dw     57,       168
.dw     54,       168
.dw     56,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        55
.dw     56,       168
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu074
; Code 132
; Advent, Baur, Beko, Bush, Carver, Crosley, Curtis Mathes, Dual, Hanseatic, Hitachi, Infinity, Inerfunk, Intervision, JBL,
; Jensen, LG, LG/GoldStar, Lifetec, Loewe, LXI, M Electronic, Magnavox, Marantz, Mitsubishi, Otto Versand, Philco, Philips,
; Philips Magnavox, Quelle, Schneider, Sears, SEQ Sylvania, Teac, Teknika, Thorn, Universum, Vidikron, Wards, Watson

; Carrier Freq    = 34.800 KHz
.dw  XTAL / 34800 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     92,        92
.dw    184,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,       184
.dw     92,        92
.dw    184,        92
.dw     92,      9217
.dw     92,        92
.dw    184,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,        92
.dw     92,       184
.dw     92,        92
.dw    184,        92
.dw     92,         0

; code_eu059
; Code 133
; Amstrad, Matsui, Saisho, SEI, Sinudyne, Triumph

; Carrier Freq    = 38.619 KHz
.dw  XTAL / 38619 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,       169
.dw     56,        55
.dw     56,        55
.dw     56,        57
.dw     54,       168
.dw     57,       168
.dw     54,       168
.dw     57,        54
.dw     56,        55
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,        57
.dw     57,        54
.dw     57,        54
.dw     57,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        55
.dw     56,       168
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0    

; code_eu059
; Code 134
; Atlantic, Autovox, Expert, Fujitsu, Kapsch, Luma, Rex, Seleco, Stern, Teleton, Uher, Zanussi

; Carrier Freq    = 38.970 KHz
.dw  XTAL / 38970 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       690
.dw     15,       691
.dw     15,       691
.dw     15,       691
.dw     15,       691
.dw     15,       456
.dw     15,       456
.dw     15,       691
.dw     15,       691
.dw     15,       456
.dw     15,       456
.dw     15,      4705
.dw     15,       691
.dw     15,       691
.dw     15,       691
.dw     15,       691
.dw     15,       691
.dw     15,       456
.dw     15,       456
.dw     15,       691
.dw     15,       691
.dw     15,       456
.dw     15,       456
.dw     15,         0

; code_eu052
; Code 135
; Akura, Alba, Asuka, Basic Line, Blue Sky, BTC, Bush, Cybertron, Dainichi, Elite, Genexxa, GPM, Hinari, ICeS, Isukai, Kaisui,
; Nikkai, Osaki, Oso, Roadstar, Schneider, Standard, Susumu, Tandy, Tensai, Texet

; Carrier Freq    = 35.910 KHz
.dw  XTAL / 35910 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    349,       346
.dw     86,        87
.dw     88,       259
.dw     86,       262
.dw     86,        86
.dw     86,       262
.dw     86,        86
.dw     86,        87
.dw     88,       259
.dw     86,        87
.dw     88,       259
.dw     86,        87
.dw     88,        86
.dw     86,       260
.dw     88,        86
.dw     86,        86
.dw     86,       262
.dw     86,        86
.dw     86,       262
.dw     86,       260
.dw     88,        86
.dw     86,       260
.dw     88,        86
.dw     86,       260
.dw     88,       259
.dw     86,      3392
.dw    346,       349
.dw     86,        87
.dw     86,       262
.dw     86,       261
.dw     88,        86
.dw     86,       261
.dw     88,        86
.dw     86,        87
.dw     86,       262
.dw     86,        87
.dw     86,       262
.dw     86,        87
.dw     86,        89
.dw     86,       260
.dw     86,        89
.dw     86,        86
.dw     86,       262
.dw     86,        86
.dw     86,       262
.dw     86,       260
.dw     86,        89
.dw     86,       260
.dw     86,        89
.dw     86,       260
.dw     86,       262
.dw     86,         0

; code_eu017
; Code 136
; Philips, Phonola, SBR, Schneider

; Carrier Freq    = 33.548 KHz
.dw  XTAL / 33548 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     47,       296
.dw     50,       993
.dw     50,       296
.dw     48,       993
.dw     50,       296
.dw     50,       993
.dw     47,       296
.dw     50,       646
.dw     47,       646
.dw     50,       643
.dw     50,       646
.dw     47,       296
.dw     50,       296
.dw     50,      3046
.dw     50,       296
.dw     50,       993
.dw     47,       296
.dw     50,       993
.dw     50,       296
.dw     48,       993
.dw     50,       296
.dw     50,       643
.dw     50,       646
.dw     47,       646
.dw     50,       643
.dw     50,       296
.dw     50,       296
.dw     47,         0

; code_eu053
; Code 137
; Alba, Bush, Cimline, Firstline, Goodmans, Hinari, Kendo, Manesth, Matsui, Orion, Otto Versand, Saisho, Sinudyne, Sunkai

; Carrier Freq    = 38.643 KHz
.dw  XTAL / 38643 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       448
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        52
.dw     56,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        54
.dw     54,       169
.dw     53,       169
.dw     56,        52
.dw     56,        52
.dw     54,       169
.dw     56,        52
.dw     56,       168
.dw     54,        52
.dw     56,        52
.dw     56,        52
.dw     54,        54
.dw     54,       169
.dw     56,        52
.dw     53,       169
.dw     56,        52
.dw     56,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,      3938
.dw    899,       223
.dw     54,      9572
.dw    899,       223
.dw     54,         0

; code_eu022
; Code 138
; Autovox, Grundig, Indesit, Luxor, Minerva, Mitsubishi, National, Panasonic, Thomson

; Carrier Freq    = 41.780 KHz
.dw  XTAL / 41780 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw   1036,      4205
.dw   1036,         0

; code_eu027
; Code 139
; Toshiba, Triumph

; Carrier Freq    = 38.602 KHz
.dw  XTAL / 38602 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,       168
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     56,        55
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,        57
.dw     57,       168
.dw     54,       168
.dw     57,        54
.dw     57,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,        54
.dw     57,        54
.dw     57,        54
.dw     56,        54
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,         0

; code_eu007

; Carrier Freq    = 35.807 KHz
.dw  XTAL / 35807 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     89,        89
.dw     89,        89
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,       178
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,      8952
.dw     89,        89
.dw     89,        89
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,       178
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,      8952
.dw     89,        89
.dw     89,        89
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,       178
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,      8952
.dw     89,        89
.dw     89,        89
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,       178
.dw    178,        89
.dw     89,        89
.dw     89,        89
.dw     89,        89
.dw     89,         0

; code_eu013

; Carrier Freq    = 33.818 KHz
.dw  XTAL / 33818 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     17,       840
.dw     15,       556
.dw     18,       840
.dw     14,       841
.dw     16,       841
.dw     17,       556
.dw     14,       841
.dw     17,       841
.dw     17,       840
.dw     18,       554
.dw     17,       840
.dw     17,      5208
.dw     17,       840
.dw     18,       553
.dw     17,       840
.dw     18,       840
.dw     17,       840
.dw     18,       553
.dw     17,       840
.dw     18,       840
.dw     18,       840
.dw     18,       553
.dw     18,       840
.dw     17,      6067
.dw     15,       841
.dw     16,       556
.dw     17,       840
.dw     15,       841
.dw     17,       841
.dw     17,       554
.dw     16,       841
.dw     17,       841
.dw     17,       840
.dw     18,       553
.dw     17,       840
.dw     18,      6067
.dw     18,       840
.dw     17,       553
.dw     17,       840
.dw     18,       840
.dw     18,       840
.dw     18,       553
.dw     17,       840
.dw     18,       840
.dw     15,       841
.dw     16,       556
.dw     17,       840
.dw     15,         0

; code_eu021

; Carrier Freq    = 38.726 KHz
.dw  XTAL / 38726 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     25,       184
.dw     25,        77
.dw     28,       181
.dw     25,        77
.dw     28,       181
.dw     28,        75
.dw     27,        77
.dw     28,        75
.dw     28,        77
.dw     28,        75
.dw     28,      1537
.dw     28,       181
.dw     26,        77
.dw     28,       181
.dw     28,        75
.dw     28,       181
.dw     28,        77
.dw     25,        77
.dw     28,        77
.dw     26,        77
.dw     28,        75
.dw     27,      1537
.dw     28,       181
.dw     28,        75
.dw     28,       181
.dw     28,        77
.dw     26,       181
.dw     28,        77
.dw     25,        77
.dw     28,        77
.dw     25,        77
.dw     28,        77
.dw     25,      1537
.dw     28,       181
.dw     28,        75
.dw     27,       181
.dw     28,        77
.dw     26,       182
.dw     27,        77
.dw     28,        75
.dw     28,        77
.dw     28,        75
.dw     28,        77
.dw     26,         0

; code_eu023

; Carrier Freq    = 33.479 KHz
.dw  XTAL / 33479 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    362,       356
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,        86
.dw     89,      3611
.dw    364,       353
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,        87
.dw     92,      3611
.dw    362,       356
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,        86
.dw     92,      3611
.dw    362,       356
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,        86
.dw     92,        86
.dw     89,        87
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,       263
.dw     92,       266
.dw     89,       266
.dw     92,        86
.dw     89,         0

; code_eu024

; Carrier Freq    = 30.457 KHz
.dw  XTAL / 30457 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,        55
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,        53
.dw     51,        56
.dw     49,      2050
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,       111
.dw     49,        56
.dw    102,        52
.dw     52,       108
.dw    102,       108
.dw     52,     12084
.dw     51,       263
.dw     52,        53
.dw     52,        53
.dw     51,       108
.dw     52,        53
.dw    104,        52
.dw     52,       108
.dw    102,       108
.dw     52,     12084
.dw     52,       263
.dw     52,        52
.dw     52,        52
.dw     52,       108
.dw     52,        52
.dw    102,        55
.dw     49,       109
.dw    104,       108
.dw     49,     12087
.dw     52,       263
.dw     49,        55
.dw     49,        55
.dw     52,       108
.dw     49,        56
.dw    102,        53
.dw     52,       108
.dw    102,       109
.dw     52,         0

; code_eu025

; Carrier Freq    = 30.458 KHz
.dw  XTAL / 30458 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,        55
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,        53
.dw     51,        56
.dw     49,      2050
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,       111
.dw     49,        56
.dw    102,        52
.dw     52,       108
.dw     52,        52
.dw     52,        52
.dw     52,     12084
.dw     51,       263
.dw     52,        53
.dw     52,        53
.dw     51,       108
.dw     52,        53
.dw    104,        52
.dw     52,       108
.dw     49,        56
.dw     52,        52
.dw     52,     12084
.dw     52,       263
.dw     52,        52
.dw     52,        52
.dw     52,       108
.dw     52,        52
.dw    102,        56
.dw     49,       109
.dw     52,        56
.dw     49,        56
.dw     49,     12087
.dw     52,       263
.dw     49,        56
.dw     49,        56
.dw     52,       108
.dw     49,        56
.dw    102,        53
.dw     52,       108
.dw     52,        52
.dw     52,        53
.dw     52,         0

/*

; code_eu028

; Carrier Freq    = 38.611 KHz
.dw  XTAL / 38611 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,        54
.dw     57,       168
.dw     54,        57
.dw     54,       168
.dw     56,        55
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        57
.dw     54,       168
.dw     57,        54
.dw     56,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,        55
.dw     56,       168
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,      9596
.dw    899,       223
.dw     56,      9597
.dw    898,       225
.dw     54,         0

; code_eu029

; Carrier Freq    = 35.533 KHz
.dw  XTAL / 35533 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     17,       489
.dw     16,       490
.dw     15,       697
.dw     14,       491
.dw     17,       489
.dw     16,       491
.dw     17,       489
.dw     17,      1408
.dw     17,       490
.dw     15,       491
.dw     17,       694
.dw     17,       489
.dw     16,       491
.dw     17,       488
.dw     17,       489
.dw     15,      1409
.dw     16,       491
.dw     17,       489
.dw     17,       694
.dw     16,       491
.dw     14,       491
.dw     17,       489
.dw     16,       491
.dw     17,      1408
.dw     17,       488
.dw     17,       490
.dw     15,       695
.dw     15,       491
.dw     17,       489
.dw     16,       491
.dw     17,       488
.dw     17,         0

; code_eu030

; Carrier Freq    = 41.792 KHz
.dw  XTAL / 41792 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    311,       610
.dw    622,      8288
.dw    311,       610
.dw    622,      8288
.dw    313,       608
.dw    624,      8288
.dw    311,       610
.dw    622,         0

; code_eu031

; Carrier Freq    = 35.971 KHz
.dw  XTAL / 35971 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     86,        89
.dw    175,        87
.dw     88,        88
.dw     87,        89
.dw     86,       179
.dw    175,        87
.dw     88,        89
.dw     86,       178
.dw     89,        87
.dw    175,        87
.dw     87,      8844
.dw     88,        89
.dw    173,        89
.dw     86,        89
.dw     89,        87
.dw     88,       178
.dw    173,        89
.dw     89,        87
.dw     88,       177
.dw     87,        89
.dw    173,        89
.dw     89,      8843
.dw     89,        87
.dw    175,        87
.dw     88,        89
.dw     86,        89
.dw     86,       179
.dw    175,        88
.dw     87,        89
.dw     86,       179
.dw     89,        87
.dw    175,        89
.dw     86,      8844
.dw     87,        89
.dw    173,        89
.dw     89,        87
.dw     88,        87
.dw     88,       178
.dw    173,        89
.dw     89,        87
.dw     88,       178
.dw     86,        89
.dw    175,        87
.dw     88,         0

; code_eu032

; Carrier Freq    = 38.634 KHz
.dw  XTAL / 38634 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    842,       404
.dw     51,        51
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       404
.dw     51,       155
.dw     51,       156
.dw     54,       155
.dw     51,       155
.dw     51,       155
.dw     54,        49
.dw     54,        49
.dw     54,        49
.dw     54,      2144
.dw    842,       404
.dw     51,        51
.dw     51,        51
.dw     51,       156
.dw     53,        50
.dw     53,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       404
.dw     51,       155
.dw     54,       153
.dw     53,       155
.dw     51,       155
.dw     51,       156
.dw     53,        50
.dw     53,        50
.dw     53,        50
.dw     53,      2144
.dw    842,       404
.dw     54,        49
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       404
.dw     51,       156
.dw     54,       155
.dw     51,       155
.dw     51,       155
.dw     54,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,      2144
.dw    845,       402
.dw     53,        50
.dw     53,        50
.dw     53,       155
.dw     52,        51
.dw     51,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       404
.dw     54,       153
.dw     53,       155
.dw     51,       155
.dw     51,       156
.dw     53,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,         0

; code_eu033

; Carrier Freq    = 35.803 KHz
.dw  XTAL / 35803 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    265,        89
.dw     44,        89
.dw     44,        44
.dw     44,        44
.dw     44,        89
.dw     89,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     89,        44
.dw     44,        89
.dw     44,        44
.dw     44,      8301
.dw    265,        89
.dw     44,        89
.dw     44,        44
.dw     44,        44
.dw     44,        89
.dw     89,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     89,        44
.dw     44,        89
.dw     44,        44
.dw     44,      8301
.dw    265,        89
.dw     44,        89
.dw     44,        44
.dw     44,        44
.dw     44,        89
.dw     89,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     89,        44
.dw     44,        89
.dw     44,        44
.dw     44,      8301
.dw    265,        89
.dw     44,        89
.dw     44,        44
.dw     44,        44
.dw     44,        89
.dw     89,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     44,        44
.dw     89,        44
.dw     44,        89
.dw     44,        44
.dw     44,         0

; code_eu035

; Carrier Freq    = 38.601 KHz
.dw  XTAL / 38601 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    448,       443
.dw     57,        51
.dw     57,       163
.dw     59,       163
.dw     57,       163
.dw     57,        52
.dw     59,        51
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,       163
.dw     57,       163
.dw     59,       163
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,       163
.dw     57,        52
.dw     59,       163
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,       163
.dw     57,       163
.dw     59,        51
.dw     57,       163
.dw     57,        52
.dw     59,       163
.dw     57,       163
.dw     57,       165
.dw     57,      4563
.dw    448,       443
.dw     57,       163
.dw     57,      9482
.dw    448,       441
.dw     59,       163
.dw     57,      9479
.dw    451,       440
.dw     57,       164
.dw     59,      9479
.dw    448,       443
.dw     57,       163
.dw     57,         0

; code_eu036

; Carrier Freq    = 31.399 KHz
.dw  XTAL / 31399 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       259
.dw     50,        51
.dw     51,        51
.dw     51,       102
.dw     99,       102
.dw     51,        51
.dw     51,      8006
.dw     51,       261
.dw     51,        48
.dw     53,        47
.dw     51,       102
.dw    102,        99
.dw     50,        51
.dw     51,      8007
.dw     50,       261
.dw     51,        51
.dw     51,        51
.dw     51,        99
.dw    102,       102
.dw     51,        48
.dw     53,      8006
.dw     51,       258
.dw     50,        51
.dw     51,        51
.dw     51,       102
.dw     99,       102
.dw     51,        51
.dw     51,         0

; code_eu037

; Carrier Freq    = 30.464 KHz
.dw  XTAL / 30464 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,        55
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,        53
.dw     51,        56
.dw     49,      2050
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,        55
.dw     52,       108
.dw     49,        56
.dw    102,       108
.dw     52,        52
.dw     52,        52
.dw     52,     12084
.dw     51,       263
.dw     52,        53
.dw     52,        53
.dw     51,        56
.dw     49,       109
.dw     52,        53
.dw    104,       108
.dw     49,        56
.dw     52,        52
.dw     52,     12084
.dw     52,       263
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,       108
.dw     52,        52
.dw    102,       109
.dw     52,        56
.dw     49,        56
.dw     49,     12087
.dw     52,       263
.dw     49,        56
.dw     49,        55
.dw     52,        52
.dw     52,       108
.dw     49,        56
.dw    102,       108
.dw     52,        52
.dw     52,        53
.dw     52,         0

; code_eu038

; Carrier Freq    = 39.307 KHz
.dw  XTAL / 39307 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       487
.dw     15,       490
.dw     15,       487
.dw     15,       740
.dw     14,       490
.dw     15,       488
.dw     14,      5165
.dw     15,       739
.dw     15,       490
.dw     15,       738
.dw     15,       739
.dw     14,       741
.dw     15,       487
.dw     15,       490
.dw     15,       487
.dw     15,       740
.dw     14,       490
.dw     15,       488
.dw     14,      5919
.dw     15,       740
.dw     14,       490
.dw     15,       739
.dw     14,       741
.dw     15,       738
.dw     15,       490
.dw     15,       487
.dw     15,       488
.dw     14,       741
.dw     15,       488
.dw     14,       490
.dw     15,      5917
.dw     14,       741
.dw     15,       488
.dw     14,       741
.dw     15,       738
.dw     15,       740
.dw     14,       490
.dw     15,       488
.dw     14,       490
.dw     15,       739
.dw     15,       490
.dw     15,       487
.dw     15,         0


; code_eu040

; Carrier Freq    = 39.318 KHz
.dw  XTAL / 39318 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       490
.dw     15,       487
.dw     15,       488
.dw     14,       490
.dw     15,       488
.dw     14,      5165
.dw     15,       738
.dw     15,       490
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       738
.dw     15,       490
.dw     15,       487
.dw     15,       488
.dw     14,       490
.dw     15,       488
.dw     14,      5919
.dw     15,       740
.dw     14,       490
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       739
.dw     14,       490
.dw     15,       488
.dw     14,       490
.dw     15,       488
.dw     14,       490
.dw     15,      5917
.dw     14,       741
.dw     15,       488
.dw     14,       741
.dw     15,       738
.dw     15,       740
.dw     14,       741
.dw     15,       488
.dw     14,       490
.dw     15,       487
.dw     15,       490
.dw     15,       487
.dw     15,         0


; code_eu042

; Carrier Freq    = 38.661 KHz
.dw  XTAL / 38661 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       155
.dw     54,       155
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,       153
.dw     54,        49
.dw     54,       155
.dw     51,       155
.dw     54,        49
.dw     54,        49
.dw     54,       153
.dw     53,       155
.dw     54,      2172
.dw     51,       155
.dw     54,       153
.dw     53,        50
.dw     53,        49
.dw     53,        49
.dw     53,        50
.dw     53,       155
.dw     54,        49
.dw     54,       153
.dw     54,        49
.dw     54,       155
.dw     51,       155
.dw     54,        49
.dw     54,        49
.dw     54,       153
.dw     54,       155
.dw     51,      2175
.dw     51,       155
.dw     54,       153
.dw     54,        49
.dw     54,        49
.dw     54,        49
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,       155
.dw     51,       155
.dw     54,        49
.dw     54,        49
.dw     54,       153
.dw     54,       155
.dw     51,      2175
.dw     51,       155
.dw     54,       153
.dw     54,        49
.dw     54,        49
.dw     54,        49
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,       153
.dw     53,       155
.dw     54,        49
.dw     54,        49
.dw     54,       153
.dw     54,       155
.dw     51,         0

; code_eu043

; Carrier Freq    = 38.653 KHz
.dw  XTAL / 38653 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       155
.dw     54,       155
.dw     51,        51
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,       153
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     54,       153
.dw     53,        50
.dw     53,        49
.dw     53,       155
.dw     54,       153
.dw     54,      2172
.dw     54,       153
.dw     53,       155
.dw     54,        49
.dw     54,        49
.dw     54,       153
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,       153
.dw     54,       155
.dw     51,        51
.dw     51,        51
.dw     51,       155
.dw     54,       155
.dw     51,      2173
.dw     54,       155
.dw     51,       155
.dw     54,        49
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     54,        49
.dw     54,       153
.dw     54,        49
.dw     54,       155
.dw     51,       155
.dw     54,        49
.dw     54,        49
.dw     54,       153
.dw     53,       155
.dw     54,      2172
.dw     51,       155
.dw     54,       153
.dw     53,        49
.dw     53,        50
.dw     53,       155
.dw     54,        49
.dw     54,       153
.dw     54,        49
.dw     54,       155
.dw     51,        51
.dw     51,       155
.dw     54,       153
.dw     54,        49
.dw     54,        49
.dw     54,       155
.dw     52,       155
.dw     54,         0

; code_eu044

; Carrier Freq    = 38.602 KHz
.dw  XTAL / 38602 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    448,       443
.dw     57,       163
.dw     57,       163
.dw     59,        51
.dw     57,       163
.dw     57,        52
.dw     59,        51
.dw     57,        51
.dw     57,        52
.dw     59,       163
.dw     57,       163
.dw     57,        52
.dw     59,       163
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,        51
.dw     57,        52
.dw     59,       163
.dw     57,        51
.dw     57,       163
.dw     59,        51
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,       163
.dw     57,        52
.dw     59,       163
.dw     57,        51
.dw     57,       163
.dw     59,       163
.dw     57,       163
.dw     57,       165
.dw     57,      4563
.dw    448,       443
.dw     57,        51
.dw     57,      9480
.dw    450,       441
.dw     59,        51
.dw     57,      9479
.dw    448,       443
.dw     57,        51
.dw     57,      9481
.dw    448,       443
.dw     57,        51
.dw     57,         0

; code_eu048

; Carrier Freq    = 38.653 KHz
.dw  XTAL / 38653 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    788,       412
.dw     51,       161
.dw     53,       160
.dw     52,        54
.dw     54,        52
.dw     53,        53
.dw     53,        54
.dw     51,        54
.dw     51,        54
.dw     51,       163
.dw     51,       161
.dw     53,       160
.dw     52,        54
.dw     54,       160
.dw     51,        54
.dw     51,        54
.dw     54,        52
.dw     53,      2338
.dw     51,       163
.dw     51,       161
.dw     53,        54
.dw     52,        54
.dw     51,        54
.dw     51,        54
.dw     51,        54
.dw     54,        52
.dw     53,       160
.dw     52,       163
.dw     51,       161
.dw     53,        54
.dw     51,       161
.dw     54,        52
.dw     53,        54
.dw     51,        54
.dw     51,      2339
.dw     53,       160
.dw    163,        51
.dw    163,        50
.dw     55,        51
.dw     54,        51
.dw     54,        51
.dw     57,        49
.dw     57,        49
.dw     56,        50
.dw    165,        49
.dw    163,        51
.dw    163,        50
.dw     56,        51
.dw    163,        50
.dw     56,        50
.dw     56,        51
.dw     54,        51
.dw   2341,        50
.dw    164,       160
.dw     51,       163
.dw     51,        54
.dw     51,        54
.dw     51,        54
.dw     54,        52
.dw     53,        53
.dw     53,        54
.dw     51,       161
.dw     53,       160
.dw     51,       163
.dw     51,        54
.dw     51,       163
.dw     51,        54
.dw     51,        54
.dw     51,        54
.dw     51,      2341
.dw     51,       161
.dw    165,        49
.dw    163,        51
.dw     54,        51
.dw     57,        49
.dw     57,        49
.dw     56,        50
.dw     56,        51
.dw     54,        51
.dw    163,        50
.dw    165,        49
.dw    163,        51
.dw     54,        51
.dw    163,        51
.dw     54,        51
.dw     54,        51
.dw     57,        49
.dw     12,         0


; code_eu050

; Carrier Freq    = 41.789 KHz
.dw  XTAL / 41789 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    107,       110
.dw    648,      2673
.dw    109,       110
.dw    648,         0

; code_eu051

; Carrier Freq    = 39.009 KHz
.dw  XTAL / 39009 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     28,       182
.dw     27,        79
.dw     27,       184
.dw     28,       184
.dw     25,        80
.dw     28,        77
.dw     28,       182
.dw     27,       184
.dw     28,        78
.dw     28,       184
.dw     26,        80
.dw     28,        77
.dw     28,        77
.dw     28,       184
.dw     25,        80
.dw     28,      4236
.dw     28,       182
.dw     27,        79
.dw     27,       184
.dw     28,       184
.dw     26,        80
.dw     28,       182
.dw     27,        78
.dw     27,        80
.dw     25,       184
.dw     28,        78
.dw     27,       184
.dw     28,       182
.dw     27,       184
.dw     28,        77
.dw     28,       184
.dw     25,      4239
.dw     25,       184
.dw     28,        78
.dw     27,       184
.dw     28,       182
.dw     27,        79
.dw     27,        80
.dw     26,       184
.dw     28,       184
.dw     28,        77
.dw     28,       182
.dw     27,        80
.dw     26,        80
.dw     28,        77
.dw     28,       182
.dw     27,        80
.dw     25,      4239
.dw     26,       184
.dw     28,        78
.dw     27,       184
.dw     28,       182
.dw     27,        79
.dw     27,       184
.dw     28,        78
.dw     28,        78
.dw     27,       184
.dw     28,        77
.dw     28,       184
.dw     25,       184
.dw     28,       184
.dw     26,        80
.dw     28,       182
.dw     27,      4237
.dw     27,       184
.dw     28,        77
.dw     28,       184
.dw     25,       184
.dw     28,        78
.dw     27,        78
.dw     27,       184
.dw     28,       182
.dw     27,        80
.dw     25,       184
.dw     28,        78
.dw     27,        79
.dw     27,        80
.dw     26,       184
.dw     28,        78
.dw     27,         0

; code_eu054

; Carrier Freq    = 38.688 KHz
.dw  XTAL / 38688 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    347,       345
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     85,        86
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     87,       256
.dw     85,        86
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     87,       256
.dw     85,        86
.dw     87,       257
.dw     87,       257
.dw     87,       257
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     85,       259
.dw     85,       259
.dw     85,      3350
.dw    347,       345
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     85,       259
.dw     85,        86
.dw     87,        85
.dw     85,        85
.dw     85,       259
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,        85
.dw     85,       259
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,       259
.dw     85,       259
.dw     85,       257
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     87,       256
.dw     85,       259
.dw     85,      3350
.dw    349,       344
.dw     85,        85
.dw     85,       259
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,        85
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,        85
.dw     85,       259
.dw     85,        86
.dw     87,       257
.dw     87,       257
.dw     87,      3348
.dw    349,       344
.dw     85,        86
.dw     87,       256
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,        86
.dw     87,        85
.dw     85,       257
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     87,        85
.dw     85,       257
.dw     87,        85
.dw     85,       259
.dw     85,        85
.dw     87,       256
.dw     85,       259
.dw     85,       259
.dw     85,        86
.dw     87,       257
.dw     87,        85
.dw     85,       259
.dw     85,       257
.dw     87,         0

; code_eu055

; Carrier Freq    = 38.624 KHz
.dw  XTAL / 38624 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       448
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        52
.dw     56,       168
.dw     54,        54
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,       169
.dw     54,       169
.dw     56,        52
.dw     56,        52
.dw     54,        54
.dw     54,        54
.dw     54,       169
.dw     53,       169
.dw     56,        52
.dw     56,        52
.dw     54,        54
.dw     54,       169
.dw     56,       168
.dw     54,       168
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,      3938
.dw    899,       223
.dw     54,      9572
.dw    899,       223
.dw     54,      9573
.dw    899,       223
.dw     56,      9571
.dw    898,       225
.dw     54,         0

; code_eu056

; Carrier Freq    = 38.596 KHz
.dw  XTAL / 38596 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       448
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        52
.dw     56,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       169
.dw     53,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       169
.dw     53,       169
.dw     56,       168
.dw     54,       168
.dw     54,      3938
.dw    897,       225
.dw     54,      9572
.dw    897,       225
.dw     54,      9572
.dw    899,       223
.dw     54,      9573
.dw    899,       223
.dw     53,         0

; code_eu057

; Carrier Freq    = 38.591 KHz
.dw  XTAL / 38591 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       448
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        52
.dw     56,        52
.dw     56,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       169
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,       169
.dw     56,       168
.dw     54,       168
.dw     54,      3938
.dw    897,       225
.dw     54,      9572
.dw    897,       225
.dw     54,      9572
.dw    899,       223
.dw     54,      9572
.dw    899,       223
.dw     54,         0

; code_eu058

; Carrier Freq    = 30.478 KHz
.dw  XTAL / 30478 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,        56
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,        53
.dw     51,        56
.dw     49,      2050
.dw     49,       264
.dw     51,       108
.dw     52,        53
.dw     51,        56
.dw     49,        56
.dw     49,        56
.dw    102,       108
.dw     52,        52
.dw     52,        52
.dw     52,     12084
.dw     51,       263
.dw     52,       108
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,        53
.dw    104,       108
.dw     49,        55
.dw     52,        52
.dw     52,     12084
.dw     52,       263
.dw     52,       108
.dw     49,        55
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw    102,       109
.dw     52,        56
.dw     49,        56
.dw     49,     12087
.dw     52,       263
.dw     49,       109
.dw     52,        53
.dw     51,        56
.dw     49,        55
.dw     49,        55
.dw    102,       108
.dw     52,        52
.dw     52,        53
.dw     52,         0

; code_eu060

; Carrier Freq    = 38.614 KHz
.dw  XTAL / 38614 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       448
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        52
.dw     56,       168
.dw     54,       168
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,       168
.dw     54,       169
.dw     53,       169
.dw     56,        52
.dw     56,       168
.dw     54,       168
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,        54
.dw     54,        52
.dw     56,        52
.dw     56,        52
.dw     54,       169
.dw     56,       168
.dw     54,        54
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,      3938
.dw    899,       223
.dw     54,      9572
.dw    899,       223
.dw     54,      9573
.dw    899,       223
.dw     56,      9571
.dw    898,       225
.dw     54,         0

; code_eu061

; Carrier Freq    = 38.629 KHz
.dw  XTAL / 38629 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       155
.dw     51,        52
.dw     54,       155
.dw     51,        51
.dw     51,       158
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,      1519
.dw     51,       155
.dw     51,        52
.dw     51,       158
.dw     51,        51
.dw     51,       156
.dw     53,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,      1519
.dw     51,       155
.dw     51,        51
.dw     51,       158
.dw     51,        51
.dw     51,       156
.dw     54,        50
.dw     53,        51
.dw     51,        51
.dw     51,        51
.dw     51,        51
.dw     51,      1519
.dw     51,       155
.dw     51,        51
.dw     51,       158
.dw     51,        51
.dw     51,       155
.dw     51,        52
.dw     54,        50
.dw     53,        51
.dw     51,        51
.dw     51,        51
.dw     51,         0


; code_eu067

; Carrier Freq    = 38.958 KHz
.dw  XTAL / 38958 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       840
.dw     15,       840
.dw     15,       840
.dw     15,       840
.dw     15,       840
.dw     15,       553
.dw     17,       838
.dw     17,       838
.dw     17,       838
.dw     17,       552
.dw     18,       837
.dw     18,      4897
.dw     18,       837
.dw     18,       837
.dw     18,       837
.dw     18,       837
.dw     18,       837
.dw     18,       552
.dw     15,       840
.dw     15,       840
.dw     15,       840
.dw     15,       554
.dw     15,       840
.dw     15,      5753
.dw     17,       837
.dw     17,       837
.dw     17,       837
.dw     17,       837
.dw     17,       837
.dw     17,       552
.dw     18,       837
.dw     18,       837
.dw     18,       837
.dw     18,       552
.dw     18,       837
.dw     18,      5753
.dw     15,       840
.dw     15,       840
.dw     15,       840
.dw     15,       840
.dw     15,       840
.dw     15,       552
.dw     17,       838
.dw     17,       838
.dw     17,       838
.dw     17,       552
.dw     18,       837
.dw     18,         0


; code_eu070

; Carrier Freq    = 33.566 KHz
.dw  XTAL / 33566 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     50,       203
.dw     50,       203
.dw     50,       451
.dw     50,       452
.dw     50,       454
.dw     51,       203
.dw     50,       203
.dw     50,       451
.dw     50,       452
.dw     50,       454
.dw     50,       203
.dw     50,       203
.dw     50,      3428
.dw     50,       203
.dw     50,       203
.dw     50,       452
.dw     50,       454
.dw     50,       451
.dw     50,       203
.dw     50,       203
.dw     50,       452
.dw     50,       454
.dw     51,       451
.dw     50,       203
.dw     50,       203
.dw     50,      3683
.dw     50,       204
.dw     50,       204
.dw     50,       454
.dw     50,       451
.dw     50,       452
.dw     50,       204
.dw     50,       204
.dw     50,       454
.dw     50,       451
.dw     50,       452
.dw     50,       204
.dw     50,       204
.dw     50,      3685
.dw     50,       203
.dw     50,       203
.dw     50,       451
.dw     50,       452
.dw     50,       454
.dw     51,       203
.dw     50,       203
.dw     50,       451
.dw     50,       452
.dw     50,       454
.dw     51,       203
.dw     50,       203
.dw     50,         0

; code_eu071

; Carrier Freq    = 38.592 KHz
.dw  XTAL / 38592 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     95,       723
.dw     95,       472
.dw     95,       469
.dw     96,       726
.dw     95,       469
.dw    103,      1630
.dw     96,       726
.dw     93,       472
.dw     96,       471
.dw     93,       726
.dw     95,       472
.dw    101,      1631
.dw     95,       726
.dw     96,       469
.dw     95,       472
.dw     95,       723
.dw     95,       471
.dw    101,      1633
.dw     95,       723
.dw     95,       472
.dw     95,       469
.dw     96,       726
.dw     95,       469
.dw    103,         0

; code_eu072

; Carrier Freq    = 41.812 KHz
.dw  XTAL / 41812 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    153,       469
.dw    153,       155
.dw    155,       155
.dw    153,       467
.dw    155,      2939
.dw    155,       466
.dw    155,       153
.dw    155,       155
.dw    155,       466
.dw    153,      2939
.dw    155,       466
.dw    155,       155
.dw    153,       155
.dw    155,       466
.dw    155,      2939
.dw    153,       469
.dw    153,       155
.dw    155,       155
.dw    153,       467
.dw    155,         0

; code_eu073

; Carrier Freq    = 35.612 KHz
.dw  XTAL / 35612 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     17,       489
.dw     16,       490
.dw     15,       491
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     16,      1408
.dw     17,       490
.dw     15,       491
.dw     17,       489
.dw     16,       695
.dw     16,       695
.dw     16,       695
.dw     15,       697
.dw     14,      1409
.dw     15,       491
.dw     17,       489
.dw     16,       491
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,      1408
.dw     17,       489
.dw     16,       491
.dw     17,       488
.dw     17,       694
.dw     17,       694
.dw     16,       694
.dw     16,       695
.dw     16,         0

; code_eu075

; Carrier Freq    = 35.016 KHz
.dw  XTAL / 35016 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     17,       489
.dw     16,       694
.dw     16,       491
.dw     14,       697
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,      1408
.dw     17,       489
.dw     16,       694
.dw     16,       491
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,      1408
.dw     17,       489
.dw     16,       695
.dw     16,       491
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,      1408
.dw     17,       489
.dw     16,       695
.dw     16,       491
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,       694
.dw     17,         0

; code_eu076

; Carrier Freq    = 40.361 KHz
.dw  XTAL / 40361 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     14,       670
.dw     14,       443
.dw     15,       670
.dw     15,       670
.dw     15,       671
.dw     16,       441
.dw     15,       441
.dw     16,       670
.dw     14,       670
.dw     15,       443
.dw     15,       441
.dw     15,      4569
.dw     14,       670
.dw     14,       443
.dw     15,       670
.dw     15,       671
.dw     17,       670
.dw     15,       441
.dw     15,       443
.dw     14,       670
.dw     15,       670
.dw     15,       443
.dw     14,       441
.dw     14,      4569
.dw     14,       673
.dw     15,       441
.dw     15,       670
.dw     17,       670
.dw     14,       670
.dw     15,       441
.dw     16,       441
.dw     15,       670
.dw     15,       671
.dw     16,       441
.dw     15,       443
.dw     14,      4568
.dw     16,       670
.dw     15,       441
.dw     14,       673
.dw     14,       670
.dw     14,       670
.dw     15,       443
.dw     14,       441
.dw     15,       671
.dw     16,       670
.dw     15,       441
.dw     14,       443
.dw     15,         0

; code_eu077

; Carrier Freq    = 38.595 KHz
.dw  XTAL / 38595 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       448
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,        52
.dw     56,       168
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       169
.dw     53,        54
.dw     54,        54
.dw     54,        54
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       168
.dw     54,        54
.dw     54,       169
.dw     53,       169
.dw     56,       168
.dw     54,       168
.dw     54,      3938
.dw    897,       225
.dw     54,      9572
.dw    897,       225
.dw     54,      9572
.dw    899,       223
.dw     54,      9573
.dw    899,       223
.dw     53,         0

; code_eu078

; Carrier Freq    = 38.695 KHz
.dw  XTAL / 38695 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    891,       444
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,       169
.dw     53,       169
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,       167
.dw     53,       169
.dw     53,      4348
.dw    889,       446
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,        57
.dw     53,       169
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       167
.dw     53,       169
.dw     53,       169
.dw     53,      4348
.dw    889,       446
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       166
.dw     53,       169
.dw     53,       169
.dw     53,       169
.dw     54,      4348
.dw    889,       446
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,        57
.dw     54,       168
.dw     54,       168
.dw     54,       168
.dw     54,       167
.dw     53,        58
.dw     53,        58
.dw     53,        58
.dw     53,        58
.dw     53,        58
.dw     53,        58
.dw     53,        58
.dw     53,        58
.dw     53,       169
.dw     53,       169
.dw     53,       169
.dw     54,       168
.dw     54,         0

; code_eu079

; Carrier Freq    = 31.410 KHz
.dw  XTAL / 31410 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       259
.dw     50,       102
.dw    102,       102
.dw     51,        48
.dw     50,        51
.dw     51,        51
.dw     51,      8006
.dw     51,       261
.dw     51,        99
.dw    101,       102
.dw     51,        51
.dw     51,        48
.dw     50,        51
.dw     51,      8007
.dw     50,       261
.dw     51,       102
.dw    102,        99
.dw     51,        51
.dw     51,        51
.dw     51,        48
.dw     53,      8006
.dw     51,       258
.dw     50,       102
.dw    102,       102
.dw     51,        48
.dw     50,        51
.dw     51,        51
.dw     51,         0

; code_eu080

; Carrier Freq    = 31.392 KHz
.dw  XTAL / 31392 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       259
.dw     50,        51
.dw    102,       102
.dw     51,        48
.dw     50,        51
.dw     51,        51
.dw     51,      8006
.dw     51,       261
.dw     51,        51
.dw     98,       102
.dw     51,        51
.dw     51,        51
.dw     51,        48
.dw     50,      8007
.dw     53,       258
.dw     51,        51
.dw    102,        99
.dw     50,        51
.dw     51,        51
.dw     51,        51
.dw     51,      8006
.dw     51,       261
.dw     51,        48
.dw    102,       102
.dw     51,        51
.dw     51,        48
.dw     50,        51
.dw     51,         0

; code_eu081

; Carrier Freq    = 34.861 KHz
.dw  XTAL / 34861 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     46,       810
.dw     45,       812
.dw     46,       810
.dw     45,       812
.dw     46,       811
.dw     45,       526
.dw     46,       812
.dw     46,       810
.dw     45,       812
.dw     46,       524
.dw     45,       812
.dw     46,      4699
.dw     46,       810
.dw     45,       812
.dw     46,       812
.dw     46,       810
.dw     46,       812
.dw     46,       524
.dw     45,       812
.dw     46,       810
.dw     45,       812
.dw     46,       524
.dw     44,       812
.dw     46,      5558
.dw     46,       810
.dw     45,       812
.dw     46,       810
.dw     45,       812
.dw     46,       810
.dw     45,       526
.dw     46,       811
.dw     44,       812
.dw     46,       812
.dw     46,       523
.dw     45,       812
.dw     46,      5556
.dw     45,       812
.dw     46,       811
.dw     45,       812
.dw     46,       812
.dw     46,       810
.dw     46,       526
.dw     46,       810
.dw     45,       812
.dw     46,       810
.dw     45,       526
.dw     46,       811
.dw     44,         0

; code_eu082

; Carrier Freq    = 39.242 KHz
.dw  XTAL / 39242 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       738
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       490
.dw     15,       487
.dw     15,      4410
.dw     15,       739
.dw     15,       490
.dw     15,       738
.dw     15,       739
.dw     14,       741
.dw     15,       738
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       490
.dw     15,       487
.dw     15,      5164
.dw     15,       739
.dw     14,       490
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       487
.dw     15,       490
.dw     15,      5163
.dw     14,       741
.dw     15,       488
.dw     14,       741
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       739
.dw     15,       488
.dw     14,       490
.dw     15,         0

; code_eu083

; Carrier Freq    = 39.284 KHz
.dw  XTAL / 39284 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       739
.dw     15,       739
.dw     14,       490
.dw     15,       488
.dw     14,       741
.dw     15,       487
.dw     15,      4410
.dw     15,       738
.dw     15,       740
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       739
.dw     15,       739
.dw     14,       490
.dw     15,       488
.dw     14,       741
.dw     15,       487
.dw     15,      5165
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       487
.dw     15,       490
.dw     15,       739
.dw     15,       490
.dw     15,      5163
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       490
.dw     15,       487
.dw     15,       739
.dw     14,       490
.dw     15,         0

; code_eu084

; Carrier Freq    = 31.408 KHz
.dw  XTAL / 31408 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       248
.dw     51,        48
.dw    101,        51
.dw     51,        48
.dw     53,        47
.dw     51,        51
.dw     51,      2367
.dw     51,       248
.dw     51,        51
.dw    102,        98
.dw     51,        48
.dw     50,        51
.dw     51,        48
.dw     53,     11974
.dw     53,       249
.dw     51,        47
.dw    102,        98
.dw     51,        51
.dw     51,        48
.dw     53,        47
.dw     51,     11976
.dw     51,       248
.dw     51,        51
.dw    102,        98
.dw     51,        48
.dw     50,        51
.dw     51,        48
.dw     53,     11974
.dw     53,       249
.dw     51,        47
.dw    102,        98
.dw     51,        51
.dw     51,        48
.dw     53,        47
.dw     51,         0

; code_eu085

; Carrier Freq    = 38.613 KHz
.dw  XTAL / 38613 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    448,       443
.dw     57,        51
.dw     57,        51
.dw     57,        54
.dw     57,       163
.dw     57,        51
.dw     57,        54
.dw     57,        51
.dw     57,        51
.dw     57,        52
.dw     58,        51
.dw     57,        51
.dw     57,       164
.dw     59,        51
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,       163
.dw     57,       164
.dw     59,       163
.dw     57,       163
.dw     57,        54
.dw     57,        51
.dw     57,        51
.dw     57,        52
.dw     58,        51
.dw     57,        51
.dw     57,        52
.dw     59,        51
.dw     57,       163
.dw     57,       164
.dw     59,       163
.dw     57,       163
.dw     57,      5009
.dw    448,       443
.dw     57,       163
.dw     59,      9479
.dw    448,       443
.dw     57,       163
.dw     57,      9480
.dw    450,       441
.dw     59,       163
.dw     57,      9479
.dw    451,       440
.dw     57,       163
.dw     59,         0

; code_eu086

; Carrier Freq    = 30.481 KHz
.dw  XTAL / 30481 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     49,       264
.dw     51,        56
.dw     49,        55
.dw     49,        56
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,        53
.dw     51,        56
.dw     49,      2050
.dw     49,       264
.dw     51,       108
.dw     52,        53
.dw    104,        52
.dw     52,        52
.dw     52,       108
.dw     52,        52
.dw     52,        52
.dw     52,        52
.dw     52,     12084
.dw     51,       263
.dw     52,       108
.dw     52,        52
.dw    102,        56
.dw     49,        56
.dw     52,       108
.dw     49,        56
.dw     49,        55
.dw     52,        52
.dw     52,     12084
.dw     52,       263
.dw     52,       108
.dw     49,        55
.dw    102,        53
.dw     52,        53
.dw     51,       108
.dw     52,        53
.dw     51,        56
.dw     49,        56
.dw     49,     12087
.dw     52,       263
.dw     49,       109
.dw     52,        53
.dw    104,        52
.dw     52,        52
.dw     52,       108
.dw     52,        52
.dw     52,        52
.dw     52,        53
.dw     52,         0

; code_eu087

; Carrier Freq    = 59.002 KHz
.dw  XTAL / 59002 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw   1927,       386
.dw     49,       194
.dw     49,       193
.dw     49,       195
.dw     49,       193
.dw     49,        96
.dw     49,        96
.dw     49,       195
.dw     49,       193
.dw     49,       194
.dw     49,        96
.dw     49,       193
.dw     49,       194
.dw     49,        95
.dw     48,        96
.dw     49,        96
.dw     49,        96
.dw     49,       195
.dw     49,       193
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,       193
.dw     49,        96
.dw     49,        96
.dw     96,       834
.dw    393,       388
.dw     49,       193
.dw     49,       195
.dw     49,       193
.dw     49,       195
.dw     49,        96
.dw     49,        95
.dw     49,       194
.dw     49,       193
.dw     48,       195
.dw     49,        96
.dw     49,       193
.dw     49,       195
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,        95
.dw     48,       194
.dw     49,       195
.dw     49,        95
.dw     49,        96
.dw     49,        96
.dw     49,       194
.dw     49,        96
.dw     49,        95
.dw     98,       832
.dw    395,       386
.dw     49,       193
.dw     49,       195
.dw     49,       193
.dw     48,       195
.dw     49,        96
.dw     49,        96
.dw     49,       193
.dw     49,       195
.dw     49,       193
.dw     49,        96
.dw     49,       195
.dw     49,       193
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,       193
.dw     49,       195
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,       193
.dw     49,        96
.dw     49,        96
.dw     96,       834
.dw    393,       386
.dw     49,       195
.dw     49,       193
.dw     49,       194
.dw     49,       193
.dw     49,        96
.dw     49,        96
.dw     49,       195
.dw     49,       193
.dw     49,       194
.dw     49,        96
.dw     49,       193
.dw     49,       195
.dw     49,        96
.dw     49,        95
.dw     49,        96
.dw     49,        96
.dw     49,       195
.dw     49,       193
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,       193
.dw     48,        96
.dw     49,        96
.dw     96,       834
.dw    395,       386
.dw     49,       193
.dw     49,       195
.dw     49,       193
.dw     49,       195
.dw     49,        96
.dw     49,        95
.dw     48,       194
.dw     49,       195
.dw     49,       193
.dw     49,        96
.dw     49,       193
.dw     48,       195
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,        96
.dw     49,       193
.dw     49,       195
.dw     49,        95
.dw     48,        96
.dw     49,        96
.dw     49,       194
.dw     49,        96
.dw     49,         0


; code_eu089

; Carrier Freq    = 39.258 KHz
.dw  XTAL / 39258 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       488
.dw     14,       741
.dw     15,       487
.dw     15,       741
.dw     15,       487
.dw     15,       490
.dw     15,       487
.dw     15,       488
.dw     14,      5416
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       488
.dw     14,       741
.dw     15,       487
.dw     15,       741
.dw     15,       487
.dw     15,       490
.dw     15,       487
.dw     15,       488
.dw     14,      6171
.dw     15,       740
.dw     14,       490
.dw     15,       739
.dw     14,       490
.dw     15,       739
.dw     15,       490
.dw     15,       738
.dw     15,       488
.dw     14,       490
.dw     15,       488
.dw     14,       490
.dw     15,      6169
.dw     14,       741
.dw     15,       488
.dw     14,       741
.dw     15,       487
.dw     15,       741
.dw     15,       487
.dw     15,       739
.dw     14,       490
.dw     15,       488
.dw     14,       490
.dw     15,       487
.dw     15,         0

; code_eu090

; Carrier Freq    = 38.770 KHz
.dw  XTAL / 38770 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     20,        75
.dw     22,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     23,        75
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        26
.dw     20,        25
.dw     23,        25
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        75
.dw     20,        77
.dw     20,        26
.dw     20,        26
.dw     22,      3775
.dw     20,        75
.dw     22,        75
.dw     20,        77
.dw     20,        75
.dw     22,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        26
.dw     20,        26
.dw     23,        26
.dw     20,        25
.dw     23,        75
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        26
.dw     20,        25
.dw     23,        25
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     23,        25
.dw     20,        26
.dw     20,        77
.dw     20,        76
.dw     22,        26
.dw     20,        26
.dw     22,      3775
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     22,        75
.dw     20,        77
.dw     20,        75
.dw     22,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        26
.dw     20,        25
.dw     23,        25
.dw     20,        26
.dw     20,        77
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     23,        25
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     23,        25
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        77
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     23,      3775
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     22,        75
.dw     20,        77
.dw     20,        76
.dw     22,        75
.dw     23,        25
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        77
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        77
.dw     20,        75
.dw     23,        26
.dw     20,        26
.dw     23,         0

; code_eu091

; Carrier Freq    = 38.583 KHz
.dw  XTAL / 38583 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    114,       104
.dw    676,      2758
.dw    111,       106
.dw    676,      2756
.dw    113,       106
.dw    676,      2756
.dw    113,       106
.dw    676,         0

; code_eu092

; Carrier Freq    = 38.691 KHz
.dw  XTAL / 38691 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    347,       345
.dw     85,       259
.dw     85,        86
.dw     87,        85
.dw     85,        86
.dw     87,        85
.dw     85,       257
.dw     87,       257
.dw     87,       257
.dw     87,       257
.dw     87,        85
.dw     85,        85
.dw     85,        86
.dw     87,        85
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,       257
.dw     87,        85
.dw     85,        86
.dw     87,        85
.dw     85,        85
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,      3350
.dw    347,       345
.dw     87,       257
.dw     87,        85
.dw     85,        85
.dw     85,        86
.dw     87,        85
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,       257
.dw     87,        85
.dw     85,        86
.dw     87,        85
.dw     85,        85
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,        85
.dw     85,        86
.dw     87,        85
.dw     85,        86
.dw     87,       257
.dw     87,       256
.dw     85,       259
.dw     85,      3350
.dw    349,       344
.dw     85,       257
.dw     87,        85
.dw     85,        86
.dw     87,        85
.dw     85,        85
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,       259
.dw     85,        85
.dw     85,        86
.dw     87,        85
.dw     85,        86
.dw     87,       257
.dw     87,       256
.dw     85,       259
.dw     85,       259
.dw     85,        86
.dw     87,        85
.dw     85,        85
.dw     85,        86
.dw     87,       257
.dw     87,       257
.dw     87,       257
.dw     87,      3348
.dw    349,       344
.dw     85,       259
.dw     85,        85
.dw     85,        86
.dw     87,        85
.dw     85,        86
.dw     87,       257
.dw     87,       256
.dw     85,       259
.dw     85,       259
.dw     85,        86
.dw     87,        85
.dw     85,        85
.dw     85,        86
.dw     87,       257
.dw     87,       257
.dw     87,       257
.dw     87,       257
.dw     87,        85
.dw     85,        85
.dw     85,        86
.dw     87,        85
.dw     85,       259
.dw     85,       259
.dw     85,       257
.dw     87,         0

; code_eu093

; Carrier Freq    = 38.796 KHz
.dw  XTAL / 38796 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     22,        75
.dw     20,        77
.dw     20,        76
.dw     22,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        25
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        75
.dw     23,        75
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     23,        25
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        75
.dw     20,        77
.dw     20,        26
.dw     20,        26
.dw     22,      3775
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     22,        75
.dw     20,        77
.dw     20,        75
.dw     22,        75
.dw     23,        75
.dw     20,        77
.dw     20,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        75
.dw     20,        77
.dw     20,        26
.dw     23,        25
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     20,        77
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     22,      3775
.dw     20,        75
.dw     23,        26
.dw     20,        26
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     22,        75
.dw     20,        77
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        75
.dw     20,        77
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     20,        28
.dw     20,        26
.dw     20,        77
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     23,      3775
.dw     20,        75
.dw     23,        25
.dw     20,        25
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     23,        75
.dw     20,        77
.dw     20,        75
.dw     22,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        75
.dw     20,        77
.dw     20,        26
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     22,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        26
.dw     20,        26
.dw     23,        25
.dw     20,        25
.dw     20,        28
.dw     20,        25
.dw     20,        26
.dw     22,        26
.dw     20,        77
.dw     20,        75
.dw     23,        25
.dw     20,        26
.dw     23,         0

; code_eu094

; Carrier Freq    = 40.150 KHz
.dw  XTAL / 40150 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     14,       738
.dw     15,       737
.dw     15,       738
.dw     14,       738
.dw     15,       738
.dw     15,       738
.dw     14,       486
.dw     15,       486
.dw     14,       486
.dw     14,       488
.dw     12,       740
.dw     12,      5430
.dw     15,       738
.dw     14,       738
.dw     15,       738
.dw     14,       738
.dw     15,       738
.dw     15,       738
.dw     14,       486
.dw     15,       486
.dw     14,       486
.dw     14,       488
.dw     12,       740
.dw     12,      6182
.dw     14,       738
.dw     15,       738
.dw     15,       738
.dw     15,       738
.dw     14,       738
.dw     15,       738
.dw     15,       486
.dw     14,       486
.dw     15,       486
.dw     14,       488
.dw     12,       740
.dw     12,      6182
.dw     15,       738
.dw     15,       738
.dw     15,       738
.dw     14,       738
.dw     15,       738
.dw     15,       738
.dw     14,       486
.dw     15,       486
.dw     15,       486
.dw     14,       488
.dw     12,       740
.dw     12,         0

; code_eu096

; Carrier Freq    = 38.608 KHz
.dw  XTAL / 38608 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    897,       451
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,        54
.dw     57,        54
.dw     57,        54
.dw     56,        55
.dw     56,        55
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     54,        57
.dw     57,        54
.dw     57,        54
.dw     57,        54
.dw     56,        55
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     54,       169
.dw     56,       168
.dw     57,       168
.dw     54,       168
.dw     57,       168
.dw     54,      3938
.dw    899,       223
.dw     57,      9596
.dw    899,       223
.dw     56,      9596
.dw    899,       223
.dw     56,      9596
.dw    898,       225
.dw     54,         0

; code_eu097

; Carrier Freq    = 39.244 KHz
.dw  XTAL / 39244 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       488
.dw     14,       741
.dw     15,       487
.dw     15,       490
.dw     15,       487
.dw     15,       741
.dw     15,       738
.dw     15,       739
.dw     14,      5113
.dw     15,       739
.dw     15,       488
.dw     14,       741
.dw     15,       488
.dw     14,       741
.dw     15,       487
.dw     15,       490
.dw     15,       487
.dw     15,       740
.dw     14,       741
.dw     15,       739
.dw     15,      5867
.dw     15,       739
.dw     14,       490
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       488
.dw     14,       490
.dw     15,       488
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,      5865
.dw     15,       741
.dw     15,       487
.dw     15,       740
.dw     14,       490
.dw     15,       739
.dw     14,       490
.dw     15,       487
.dw     15,       490
.dw     15,       739
.dw     15,       740
.dw     14,       741
.dw     15,         0

; code_eu098

; Carrier Freq    = 41.805 KHz
.dw  XTAL / 41805 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw    153,       469
.dw    153,       155
.dw    155,       778
.dw    155,      2939
.dw    155,       466
.dw    153,       155
.dw    155,       778
.dw    155,      2939
.dw    155,       466
.dw    155,       153
.dw    155,       780
.dw    153,      2939
.dw    155,       466
.dw    155,       155
.dw    153,       780
.dw    153,         0

; code_eu099

; Carrier Freq    = 38.635 KHz
.dw  XTAL / 38635 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       248
.dw     51,        96
.dw    103,        47
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     49,        49
.dw     51,        47
.dw     51,        49
.dw     51,        47
.dw     51,        49
.dw     51,        46
.dw     51,      1444
.dw     51,       249
.dw     51,        98
.dw     51,        46
.dw    103,        46
.dw     51,        98
.dw     49,        49
.dw     51,        47
.dw     51,        49
.dw     51,        47
.dw    103,        96
.dw    103,        96
.dw     51,        49
.dw    101,        98
.dw     51,     10983
.dw     51,       249
.dw     51,        98
.dw     51,        46
.dw    103,        46
.dw     51,        96
.dw     51,        49
.dw     51,        47
.dw     51,        49
.dw     51,        46
.dw    103,        96
.dw    103,        95
.dw     51,        49
.dw    101,        98
.dw     49,     10985
.dw     51,       249
.dw     51,        98
.dw     49,        49
.dw    103,        46
.dw     51,        96
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     51,        46
.dw    103,        95
.dw    103,        95
.dw     51,        49
.dw    101,        96
.dw     51,     10985
.dw     51,       248
.dw     51,        96
.dw     51,        49
.dw    101,        49
.dw     51,        96
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     51,        46
.dw    103,        96
.dw    103,        96
.dw     51,        47
.dw    103,        96
.dw     51,         0

; code_eu100

; Carrier Freq    = 38.643 KHz
.dw  XTAL / 38643 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     51,       248
.dw     51,        96
.dw    103,        47
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     49,        49
.dw     51,        47
.dw     51,        49
.dw     51,        47
.dw     51,        49
.dw     51,        47
.dw     51,      1444
.dw     51,       249
.dw     51,        98
.dw     51,        46
.dw    103,        46
.dw     51,        98
.dw     49,        49
.dw     51,        47
.dw     51,        49
.dw     51,        47
.dw    103,        96
.dw    103,        47
.dw     51,        98
.dw    101,        98
.dw     51,     10983
.dw     51,       249
.dw     51,        98
.dw     51,        46
.dw    103,        46
.dw     51,        96
.dw     51,        49
.dw     51,        47
.dw     51,        49
.dw     51,        46
.dw    103,        96
.dw    103,        46
.dw     51,        98
.dw    101,        98
.dw     49,     10985
.dw     51,       249
.dw     51,        98
.dw     49,        49
.dw    103,        46
.dw     51,        96
.dw     51,        49
.dw     51,        47
.dw     51,        49
.dw     51,        46
.dw    103,        96
.dw    103,        46
.dw     51,        98
.dw    101,        96
.dw     51,     10985
.dw     51,       248
.dw     51,        96
.dw     51,        49
.dw    101,        49
.dw     51,        96
.dw     51,        49
.dw     51,        46
.dw     51,        49
.dw     51,        46
.dw    103,        96
.dw    103,        46
.dw     51,        96
.dw    103,        96
.dw     51,         0


; code_eu102

; Carrier Freq    = 39.242 KHz
.dw  XTAL / 39242 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       490
.dw     15,       487
.dw     15,      4410
.dw     15,       739
.dw     15,       490
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       490
.dw     15,       487
.dw     15,      5164
.dw     15,       740
.dw     14,       490
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       740
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       487
.dw     15,       490
.dw     15,      5163
.dw     14,       741
.dw     15,       488
.dw     14,       741
.dw     15,       739
.dw     15,       739
.dw     14,       741
.dw     15,       739
.dw     15,       741
.dw     15,       739
.dw     15,       488
.dw     14,       490
.dw     15,         0

; code_eu103

; Carrier Freq    = 40.497 KHz
.dw  XTAL / 40497 / 2 - 1,  0

; Decoded Pulse data (expressed in number of 10 microseconds):
; OnTime     OffTime
; --------|----------
.dw     14,       738
.dw     14,       738
.dw     17,       486
.dw     14,       486
.dw     16,       486
.dw     15,       486
.dw     16,       738
.dw     15,       737
.dw     15,       738
.dw     16,       486
.dw     15,       486
.dw     16,      5669
.dw     14,       740
.dw     15,       737
.dw     15,       486
.dw     16,       486
.dw     14,       486
.dw     16,       486
.dw     15,       738
.dw     14,       740
.dw     15,       738
.dw     14,       486
.dw     16,       486
.dw     15,      6424
.dw     14,       738
.dw     16,       738
.dw     15,       486
.dw     14,       488
.dw     15,       486
.dw     14,       488
.dw     15,       737
.dw     15,       738
.dw     16,       738
.dw     14,       486
.dw     14,       488
.dw     15,      6424
.dw     15,       738
.dw     14,       740
.dw     14,       486
.dw     15,       488
.dw     14,       486
.dw     15,       488
.dw     14,       738
.dw     15,       738
.dw     14,       740
.dw     15,       486
.dw     15,       488
.dw     15,         0
*/
; ******************* EU-Code  Anfang *****************************
